HeaderFooter
Date: 2015-04-26

de.jost_net.OBanToo.Dtaus

## Class HeaderFooter

- java.lang.Object
- - PdfPageEventHelper
  - - de.jost_net.OBanToo.Dtaus.HeaderFooter

-     public class HeaderFooter
      extends PdfPageEventHelper

  Ersatz für die HeaderFooter-Klasse, die es bis iText 1.x gab. Wird zur Zeit nur für den Footer gebraucht.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `footer`
    `(package private) int` | `pagenumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderFooter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onChapter(PdfWriter writer, Document document, float paragraphPosition, Paragraph title)`
    `void` | `onEndPage(PdfWriter writer, Document document)` Adds the header and the footer.
    `void` | `onOpenDocument(PdfWriter writer, Document document)`
    `void` | `onStartPage(PdfWriter writer, Document document)` Increase the page number.
    `void` | `setFooter(java.lang.String footer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### footer

          java.lang.String footer

    - #### pagenumber

          int pagenumber

  - ### Constructor Detail

    - #### HeaderFooter

          public HeaderFooter()

  - ### Method Detail

    - #### onOpenDocument

          public void onOpenDocument(PdfWriter writer,
                            Document document)

      See Also:
        `com.itextpdf.text.pdf.PdfPageEventHelper#onOpenDocument(com.itextpdf.text.pdf.PdfWriter, com.itextpdf.text.Document)`

    - #### onChapter

          public void onChapter(PdfWriter writer,
                       Document document,
                       float paragraphPosition,
                       Paragraph title)

    - #### onStartPage

          public void onStartPage(PdfWriter writer,
                         Document document)

      Increase the page number.

    - #### setFooter

          public void setFooter(java.lang.String footer)

    - #### onEndPage

          public void onEndPage(PdfWriter writer,
                       Document document)

      Adds the header and the footer.